@echo off

set NAME=wakate

:loop
IF "%~1"=="" GOTO all
IF "%~1"=="clean" GOTO clean
IF "%~1"=="grayscale" GOTO grayscale
GOTO loop

:all
latexmk -pdf %NAME%.tex
GOTO:EOF

:clean
latexmk -c && del *.dvi *.log *.bak *.aux *.bbl *.blg *.idx *.ps *.eps *.toc *.out *.snm *.nav *.xml *.bcf *.synctex.gz *-blx.bib *_latexmk *.fls *~
GOTO:EOF

:grayscale
gswin64c -q -r600 -dNOPAUSE -sDEVICE=pdfwrite -o %NAME%_gray.pdf -dPDFSETTINGS=/prepress -dOverrideICC -sProcessColorModel=DeviceGray -sColorConversionStrategy=Gray -sColorConversionStrategyForImage=Gray -dGrayImageResolution=600 -dMonoImageResolution=600 -dColorImageResolution=600 -f %NAME%.pdf
GOTO:EOF
